#
# spec file for package spacewalk-branding
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if  0%{?suse_version}
%define version_major 1.2
%define wwwdocroot /srv/www/htdocs
%else
%define wwwdocroot %{_var}/www/html
%endif

Name:           spacewalk-branding
Version:        1.2.2
Release:        1.3
Summary:        Spacewalk branding data

Group:          Applications/Internet
License:        GPL v2 only
Url:            https://fedorahosted.org/spacewalk/
Source0:        spacewalk-branding-git-b7bbe143ab556eed17d79d07e5f920c512f353ac.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#BuildArch:  noarch

BuildRequires:  java-devel >= 1.5.0 unzip

%description
Spacewalk specific branding, CSS, and images.



%prep
%setup -q -n spacewalk-branding-git-b7bbe143ab556eed17d79d07e5f920c512f353ac

%build
%if  0%{?suse_version}
%define javac javac -target 1.5
%else
%define javac javac
%endif
%javac java/code/src/com/redhat/rhn/branding/strings/StringPackage.java
rm -f java/code/src/com/redhat/rhn/branding/strings/StringPackage.java
jar -cf java-branding.jar -C java/code/src com

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{wwwdocroot}
install -d -m 755 %{buildroot}/%{wwwdocroot}/nav
install -d -m 755 %{buildroot}%{_datadir}/spacewalk
install -d -m 755 %{buildroot}%{_datadir}/rhn/lib/
%if  0%{?rhel} && 0%{?rhel} < 6
install -d -m 755 %{buildroot}%{_var}/lib/tomcat5/webapps/rhn/WEB-INF/lib/
%else
install -d -m 755 %{buildroot}%{_var}/lib/tomcat6/webapps/rhn/WEB-INF/lib/
%endif
install -d -m 755 %{buildroot}/%{_sysconfdir}/rhn
install -d -m 755 %{buildroot}/%{_sysconfdir}/rhn/default
cp -R css %{buildroot}/%{wwwdocroot}/
cp -R img %{buildroot}/%{wwwdocroot}/
cp -R fonts %{buildroot}/%{wwwdocroot}/
# Appplication expects two favicon's for some reason, copy it so there's just
# one in source:
cp img/favicon.ico %{buildroot}/%{wwwdocroot}/
cp -R templates %{buildroot}/%{wwwdocroot}/
cp -R styles %{buildroot}/%{wwwdocroot}/nav/
cp -R setup  %{buildroot}%{_datadir}/spacewalk/
cp -R java-branding.jar %{buildroot}%{_datadir}/rhn/lib/
%if  0%{?rhel} && 0%{?rhel} < 6
ln -s %{_datadir}/rhn/lib/java-branding.jar %{buildroot}%{_var}/lib/tomcat5/webapps/rhn/WEB-INF/lib/java-branding.jar
%else
ln -s %{_datadir}/rhn/lib/java-branding.jar %{buildroot}%{_var}/lib/tomcat6/webapps/rhn/WEB-INF/lib/java-branding.jar
%endif

%if  0%{?suse_version}
cat > %{buildroot}/%{_sysconfdir}/rhn/default/rhn_docs.conf <<-ENDOFCONFIG
docs.quick_start=http://www.novell.com/documentation/suse_manager/
docs.reference_guide=http://www.novell.com/documentation/suse_manager/
docs.install_guide=http://www.novell.com/documentation/suse_manager/
docs.proxy_guide=http://www.novell.com/documentation/suse_manager/
docs.client_config_guide=http://www.novell.com/documentation/suse_manager/
docs.channel_mgmt_guide=http://www.novell.com/documentation/suse_manager/
docs.release_notes=http://www.novell.com/linux/releasenotes/%{_arch}/SUSE-MANAGER/%{version_major}/
docs.proxy_release_notes=http://www.novell.com/linux/releasenotes/%{_arch}/SUSE-MANAGER/%{version_major}/
ENDOFCONFIG
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir /%{wwwdocroot}/css
/%{wwwdocroot}/css/*
%dir /%{wwwdocroot}/img
/%{wwwdocroot}/img/*
/%{wwwdocroot}/favicon.ico
%dir /%{wwwdocroot}/fonts
/%{wwwdocroot}/fonts/*
%dir /%{wwwdocroot}/templates
/%{wwwdocroot}/templates/*
/%{wwwdocroot}/templates/.htaccess
%dir /%{wwwdocroot}/nav/styles
/%{wwwdocroot}/nav/styles/*
%{_datadir}/spacewalk/
%{_datadir}/rhn/lib/java-branding.jar
%if  0%{?rhel} && 0%{?rhel} < 6
%{_var}/lib/tomcat5/webapps/rhn/WEB-INF/lib/java-branding.jar
%else
%{_var}/lib/tomcat6/webapps/rhn/WEB-INF/lib/java-branding.jar
%endif
%{_sysconfdir}/rhn/default/rhn_docs.conf
%dir /etc/rhn
%dir /etc/rhn/default
%dir %{wwwdocroot}/nav
%dir /usr/share/rhn
%dir /usr/share/rhn/lib
%dir /var/lib/tomcat6
%dir /var/lib/tomcat6/webapps
%dir /var/lib/tomcat6/webapps/rhn
%dir /var/lib/tomcat6/webapps/rhn/WEB-INF
%dir /var/lib/tomcat6/webapps/rhn/WEB-INF/lib

%changelog
* Fri Feb 11 2011 jrenner@suse.de
- add quick start to help desk and navigation
* Thu Feb 10 2011 dmacvicar@suse.de
- use product name var on footer template (bnc#667918)
* Wed Jan 26 2011 dmacvicar@suse.de
- Use Novell website for documentation
* Fri Jan 14 2011 mc@suse.de
- Relogin page now has the login box centered on page
* Tue Jan 11 2011 mc@suse.de
- fix links
- work on CSS
- fixes for IE
* Wed Sep 15 2010 mantel@suse.de
- Initial release of spacewalk-branding
